Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Ip2WorldStateManager

    java.lang.Object
      ix.ip2.Ip2WorldStateManager

Direct Known Subclasses:
  IPlanWorldStateManager

    public class Ip2WorldStateManager

extends java.lang.Object

Stores the current world state and certain things about it.

Field Summary
`protected Ip2ModelManager` | `modelManager`
`protected ContextMultiMap` | `nodeToConditions`
`protected ContextMultiMap` | `nodeToEffects`
`static Symbol` | `S_CONDITION`
`static Symbol` | `S_EFFECT`
`static Symbol` | `S_WORLD_STATE`
`protected ContextMap` | `worldStateMap`

Constructor Summary
`Ip2WorldStateManager(Ip2ModelManager modelManager)`

Method Summary
`void` | `addConstraint(PNode node, Constraint c)`
`protected void` | `assign(LList p, java.lang.Object v, PNode at)`
`void` | `clear()`
`void` | `deleteEffect(PatternAssignment pv)`
`ix.icore.domain.ListOfConstraint` | `getNodeConditions(PNode node)`
`java.util.List` | `getNodeEffects(PNode node)`
`java.lang.Object` | `getPatternValue(LList pattern)`
`java.util.Map` | `getWorldStateMap()`
`java.util.Map` | `handleEffects(java.util.List effects)`
`java.util.Map` | `handleEffects(PNode node, java.util.List effects)`
`protected ContextMultiMap` | `makeNodeConstraintsMap()`
`protected ContextMap` | `makeWorldStateMap()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_WORLD_STATE

    public static final Symbol S_WORLD_STATE

### S_CONDITION

    public static final Symbol S_CONDITION

### S_EFFECT

    public static final Symbol S_EFFECT

### modelManager

    protected Ip2ModelManager modelManager

### nodeToConditions

    protected ContextMultiMap nodeToConditions

### nodeToEffects

    protected ContextMultiMap nodeToEffects

### worldStateMap

    protected ContextMap worldStateMap

Constructor Detail

### Ip2WorldStateManager

    public Ip2WorldStateManager(Ip2ModelManager modelManager)

Method Detail

### reset

    public void reset()

### clear

    public void clear()

### makeWorldStateMap

    protected ContextMap makeWorldStateMap()

### makeNodeConstraintsMap

    protected ContextMultiMap makeNodeConstraintsMap()

### getNodeConditions

    public ix.icore.domain.ListOfConstraint getNodeConditions(PNode node)

### getNodeEffects

    public java.util.List getNodeEffects(PNode node)

### getWorldStateMap

    public java.util.Map getWorldStateMap()

### getPatternValue

    public java.lang.Object getPatternValue(LList pattern)

### addConstraint

    public void addConstraint(PNode node,
                              Constraint c)

### handleEffects

    public java.util.Map handleEffects(PNode node,
                                       java.util.List effects)

### handleEffects

    public java.util.Map handleEffects(java.util.List effects)

### deleteEffect

    public void deleteEffect(PatternAssignment pv)

### assign

    protected void assign(LList p,
                          java.lang.Object v,
                          PNode at)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD